Debian Bug report logs - #318328
affix: Missing input sanitising in btobex/btsrv

version graph

Package: affix; Maintainer for affix is (unknown);

Reported by: Moritz Muehlenhoff <jmm@inutil.org>

Date: Thu, 14 Jul 2005 19:03:07 UTC

Severity: grave

Tags: fixed, patch, sarge, security

Fixed in version affix/2.1.2-2

Done: Mario Joussen <joussen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#318328; Package affix. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
New Bug report received and forwarded. Copy sent to Mario Joussen <joussen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: affix: Missing input sanitising in btobex/btsrv
Date: Thu, 14 Jul 2005 20:55:46 +0200
Package: affix
Severity: grave
Tags: security patch
Justification: user security hole

btsrv sanitises input inproperly. I haven't yet checked whether this
is exploitable in the Debian package configuration as well. Please
see the advisory at http://www.digitalmunition.com/DMA[2005-0712b].txt
Patches are available at:
http://affix.sourceforge.net/affix_320_sec.patch
http://affix.sourceforge.net/affix_212_sec.patch

Cheers,
        Moritz

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-rc5
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)



Tags added: sarge Request was from Mario Jou├čen <joussen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Mario Joussen <joussen@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@inutil.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 318328-close@bugs.debian.org (full text, mbox):

From: Mario Joussen <joussen@debian.org>
To: 318328-close@bugs.debian.org
Subject: Bug#318328: fixed in affix 2.1.2-2
Date: Sat, 16 Jul 2005 10:32:25 -0400
Source: affix
Source-Version: 2.1.2-2

We believe that the bug you reported is fixed in the latest version of
affix, which is due to be installed in the Debian FTP archive:

affix_2.1.2-2.diff.gz
  to pool/main/a/affix/affix_2.1.2-2.diff.gz
affix_2.1.2-2.dsc
  to pool/main/a/affix/affix_2.1.2-2.dsc
affix_2.1.2-2_i386.deb
  to pool/main/a/affix/affix_2.1.2-2_i386.deb
libaffix-dev_2.1.2-2_i386.deb
  to pool/main/a/affix/libaffix-dev_2.1.2-2_i386.deb
libaffix2_2.1.2-2_i386.deb
  to pool/main/a/affix/libaffix2_2.1.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 318328@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mario Joussen <joussen@debian.org> (supplier of updated affix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Jul 2005 16:09:38 +0200
Source: affix
Binary: libaffix2 libaffix-dev affix
Architecture: source i386
Version: 2.1.2-2
Distribution: unstable
Urgency: high
Maintainer: Mario Joussen <joussen@debian.org>
Changed-By: Mario Joussen <joussen@debian.org>
Description: 
 affix      - User space utilities for the Affix Bluetooth protocol stack
 libaffix-dev - Development files for the Affix Bluetooth protocol stack
 libaffix2  - Libraries for the Affix Bluetooth protocol stack
Closes: 318327 318328
Changes: 
 affix (2.1.2-2) unstable; urgency=high
 .
   * Security fix.
   * Apply patch provided by upstream to fix btftp client buffer overflow.
     [CAN-2005-2250] (closes: Bug#318327)
   * Apply patch provided by upstream to fix btsrv/btobex poor use of system().
     [CAN-2005-2277] (closes: Bug#318328)
Files: 
 e6ec7ce6994522a3915eae82c9f924a9 668 net extra affix_2.1.2-2.dsc
 e1495ecf42f01938a736b2d30963c172 5008 net extra affix_2.1.2-2.diff.gz
 9fa77a2afeb4ce35c0b17b1cec8231cc 87198 net extra affix_2.1.2-2_i386.deb
 706887d2fe5a2938a01475d650746e08 59980 libs optional libaffix2_2.1.2-2_i386.deb
 cc3dc479b1ee25ba270adfc753c2ed45 63832 libdevel extra libaffix-dev_2.1.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC2RYnMHtSKdKmuBARAmX9AJwPG6IA6TMD9mXq8UUlSG/evUKMXgCdEexM
BilWTuHNVHH1V5sqnS9EmzE=
=vvyd
-----END PGP SIGNATURE-----




Tags added: fixed Request was from Mario Joussen <joussen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 21:14:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:53:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.